=== debian/changelog ===
rosegarden (1:19.06-1) unstable; urgency=medium

  * New upstream release.
  * Update to debhelper compat 12.
  * Declare Rules-Requires-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Sat, 29 Jun 2019 19:21:56 +1000
