=== debian/control ===
Source: rosegarden
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 dssi-dev (>= 0.4),
 fftw3-dev,
 ladspa-sdk,
 libasound2-dev (>= 1.0.0),
 libjack-dev,
 liblircclient-dev,
 liblo-dev,
 liblrdf0-dev,
 libsamplerate-dev,
 libsm-dev,
 libsndfile1-dev,
 libx11-dev,
 libz-dev,
 pkg-config,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 shared-mime-info,
 xutils-dev,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://www.rosegardenmusic.com/
Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/rosegarden

Package: rosegarden
Architecture: any
Depends:
 flac,
 libxml-twig-perl,
 sndfile-programs,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 rosegarden-data
Conflicts:
 rosegarden-data
Recommends:
 cups-bsd | lpr,
 ghostscript,
 jackd,
 konqueror | www-browser,
 lilypond,
 okular | pdf-viewer,
 swh-plugins | ladspa-plugin,
 wavpack
Suggests:
 awesfx,
 qjackctl
Description: music editor and MIDI/audio sequencer
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
