## rosegarden 19.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "19.06")
-set(ROSEGARDEN_CODENAME "Xerxes")
-#set(ROSEGARDEN_CODENAME "Yesterday")
+set(ROSEGARDEN_VERSION "19.12")
+set(ROSEGARDEN_CODENAME "Yesterday")
 #set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
 #set(ROSEGARDEN_CODENAME "Altissimo")
 #set(ROSEGARDEN_CODENAME "Bouquet d'Or")
