=== debian/changelog ===
rosegarden (1:19.12-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:02 +0100

rosegarden (1:19.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 17 Dec 2019 23:46:29 +1100
