=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  qttools5-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
