=== debian/watch ===
version=3

https://sf.net/rosegarden/rosegarden-(1.+)\.tar\.bz2
