## rosegarden 20.06

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "19.12")
-set(ROSEGARDEN_CODENAME "Yesterday")
-#set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
+set(ROSEGARDEN_VERSION "20.06")
+set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
 #set(ROSEGARDEN_CODENAME "Altissimo")
 #set(ROSEGARDEN_CODENAME "Bouquet d'Or")
 #set(ROSEGARDEN_CODENAME "Cloud Nine")
@@ -25,6 +24,15 @@
 #set(ROSEGARDEN_CODENAME "Orange Flame")
 #set(ROSEGARDEN_CODENAME "Purple Rain")
 #set(ROSEGARDEN_CODENAME "Quietness")
+#set(ROSEGARDEN_CODENAME "Raphaela")
+#set(ROSEGARDEN_CODENAME "Sagesse de Lune")
+#set(ROSEGARDEN_CODENAME "Tangerine Dream")
+#set(ROSEGARDEN_CODENAME "Uncle Buck")
+#set(ROSEGARDEN_CODENAME "Van Gogh")
+#set(ROSEGARDEN_CODENAME "Waterlily")
+#set(ROSEGARDEN_CODENAME "Xenophon")
+#set(ROSEGARDEN_CODENAME "Yellow Brick Road")
+#set(ROSEGARDEN_CODENAME "Zaïd")
 
 # Make the build type default to "Release"
 if(NOT CMAKE_BUILD_TYPE)
