=== debian/changelog ===
rosegarden (1:20.06-1) unstable; urgency=medium

  * New upstream version 20.06
  * Update dh-compat to 13
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Add d/upstream/metadata
  * d/copyright: Remove unused test/base/colour.cpp entry
  * d/copyright: Bump copyright year
  * Update d/watch file

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 03 Jul 2020 20:21:21 +0200
