=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
- Stuart Prescott <stuart@debian.org>
+ Stuart Prescott <stuart@debian.org>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dssi-dev (>= 0.4),
  fftw3-dev,
  ladspa-sdk,
@@ -27,7 +28,7 @@
  qttools5-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
