=== debian/watch ===
version=3

https://sf.net/rosegarden/rosegarden-(2.+)\.tar\.bz2
