## rosegarden 20.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "20.06")
-set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
-#set(ROSEGARDEN_CODENAME "Altissimo")
+set(ROSEGARDEN_VERSION "20.12")
+set(ROSEGARDEN_CODENAME "Altissimo")
 #set(ROSEGARDEN_CODENAME "Bouquet d'Or")
 #set(ROSEGARDEN_CODENAME "Cloud Nine")
 #set(ROSEGARDEN_CODENAME "Distant Drums")
