=== test/CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,15 @@
 
 # Each line here defines a unit test (the executable name matches the .cpp filename)
 RG_UNIT_TESTS(
+   realtime
    accidentals
    segmenttransposecommand
    test_notationview_selection
    transpose
    reference_segment
+   utf8
+   testmisc
 )
 
 add_subdirectory(lilypond)
+
