=== test/lilypond/CMakeLists.txt ===
RG_UNIT_TESTS(
   lilypond_export_test
)
