=== debian/changelog ===
rosegarden (1:20.12-1) unstable; urgency=medium

  * New upstream version 20.12
  * Drop QPainterPath_compilation patch, applied by upstream
  * Drop src/gui/configuration/ConfigurationPage.h from d/copyright
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 13 Dec 2020 18:01:42 +0100

rosegarden (1:20.06-2) unstable; urgency=medium

  * Fix QPainterPath compilation error (Closes: #975143)
  * Bump S-V to 4.5.1

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 Nov 2020 13:52:05 +0100
