=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 )
 
 set(rg_OPTIONAL_LIBS )
+set(rg_OPTIONAL_LIB_DIRS )
 
 # For each optional dependency: if found, set a -D definition, a -I include path, and add lib to the list
 if(SNDFILE_FOUND)
@@ -34,6 +35,7 @@
     include_directories(${JACK_INCLUDE_DIRS})
     add_definitions(-DHAVE_LIBJACK)
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${JACK_LIBRARIES})
+    set(rg_OPTIONAL_LIB_DIRS ${rg_OPTIONAL_LIB_DIRS} ${JACK_LIBRARY_DIRS})
 endif()
 
 if(LIRCCLIENT_FOUND)
@@ -56,7 +58,8 @@
   document/BasicCommand.cpp
   document/RoseXmlHandler.cpp
   document/CommandRegistry.cpp
-  document/DocumentGet.cpp
+  document/io/XMLReader.cpp
+  document/io/XMLHandler.cpp
   document/io/PercussionMap.cpp
   document/io/MusicXmlExporter.cpp
   document/io/LilyPondLanguage.cpp
@@ -83,6 +86,7 @@
   misc/Debug.cpp
   misc/Version.cpp
   misc/Strings.cpp
+  misc/Preferences.cpp
   gui/dialogs/PasteNotationDialog.cpp
   gui/dialogs/ConfigureDialogBase.cpp
   gui/dialogs/PitchDialog.cpp
@@ -311,6 +315,3 @@
   gui/configuration/NotationConfigurationPage.cpp
   gui/configuration/AudioConfigurationPage.cpp
   gui/configuration/AudioPropertiesPage.cpp
-  gui/configuration/PitchTrackerConfigurationPage.cpp
-  gui/configuration/HeadersConfigurationPage.cpp
-  gui/configuration/CommentsConfigurationPage.cpp
