=== debian/changelog ===
rosegarden (1:21.12-1) unstable; urgency=medium

  * New upstream version 21.12
  * Update lintian-overrides
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 03 Feb 2022 22:37:05 +0100

rosegarden (1:21.06.1-1) unstable; urgency=medium

  * New upstream version 21.06.1
  * Bump Standards-Version to 4.6.0, no changes needed
  * Add lintian-overrides
  * Fix spelling error in TranzportClient

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 20 Oct 2021 09:23:21 +1100

rosegarden (1:21.06-1) experimental; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Jun 2021 17:28:56 +1000
