=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  qttools5-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
