=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,6 @@
 )
 
 set(rg_OPTIONAL_LIBS )
-set(rg_OPTIONAL_LIB_DIRS )
 
 # For each optional dependency: if found, set a -D definition, a -I include path, and add lib to the list
 if(SNDFILE_FOUND)
@@ -35,7 +34,6 @@
     include_directories(${JACK_INCLUDE_DIRS})
     add_definitions(-DHAVE_LIBJACK)
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${JACK_LIBRARIES})
-    set(rg_OPTIONAL_LIB_DIRS ${rg_OPTIONAL_LIB_DIRS} ${JACK_LIBRARY_DIRS})
 endif()
 
 if(LIRCCLIENT_FOUND)
@@ -77,7 +75,6 @@
   document/RosegardenDocument.cpp
   document/XmlStorableEvent.cpp
   document/CommandHistory.cpp
-  document/BasicSelectionCommand.cpp
   document/XmlSubHandler.cpp
   document/MetadataHelper.cpp
   misc/ConfigGroups.cpp
@@ -87,6 +84,7 @@
   misc/Version.cpp
   misc/Strings.cpp
   misc/Preferences.cpp
+  gui/dialogs/AudioFileLocationDialog.cpp
   gui/dialogs/PasteNotationDialog.cpp
   gui/dialogs/ConfigureDialogBase.cpp
   gui/dialogs/PitchDialog.cpp
@@ -145,6 +143,9 @@
   gui/dialogs/AudioManagerDialog.cpp
   gui/dialogs/UseOrnamentDialog.cpp
   gui/dialogs/CommentsPopupDialog.cpp
+  gui/dialogs/ShortcutDialog.cpp
+  gui/dialogs/ShortcutDelegate.cpp
+  gui/dialogs/ShortcutWarnDialog.cpp
   gui/widgets/IconStackedWidget.cpp
   gui/widgets/TristateCheckBox.cpp
   gui/widgets/FileDialog.cpp
@@ -176,7 +177,6 @@
   gui/widgets/TmpStatusMsg.cpp
   gui/widgets/BaseTextFloat.cpp
   gui/widgets/Label.cpp
-  gui/widgets/InstrumentAliasButton.cpp
   gui/widgets/IconButton.cpp
   gui/widgets/StartupLogo.cpp
   gui/widgets/DeferScrollArea.cpp
