=== debian/changelog ===
rosegarden (1:22.06-1) unstable; urgency=medium

  * New upstream version 22.06
  * Refresh spelling error patch
  * Use libjack-jackd2-dev as preferable B-D and libjack-dev as optional
  * Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself to the d/ section
  * Update lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 12 Jun 2022 12:56:10 +0200
