=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  fftw3-dev,
  ladspa-sdk,
  libasound2-dev (>= 1.0.0),
- libjack-dev,
+ libjack-jackd2-dev | libjack-dev,
  liblircclient-dev,
  liblo-dev,
  liblrdf0-dev,
@@ -28,7 +28,7 @@
  qttools5-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
