=== debian/changelog ===
rosegarden (1:22.12.1-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:55:40 +1100

rosegarden (1:22.12.1-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:01:17 +0000

rosegarden (1:22.12.1-2build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:02:07 +0000

rosegarden (1:22.12.1-2) unstable; urgency=medium

  * Team upload
  * Move from liblircclient-dev to liblirc-dev (Closes: #1059978)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jan 2024 12:49:19 +0100

rosegarden (1:22.12.1-1) unstable; urgency=medium

  * New upstream version 22.12.1
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Sun, 25 Dec 2022 17:59:26 +0100

rosegarden (1:22.12-1) unstable; urgency=medium

  * New upstream version 22.12
  * Update d/rosegarden.docs
  * Update d/rosegarden.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Sun, 11 Dec 2022 22:40:25 +0100

rosegarden (1:22.06-2) unstable; urgency=high

  * Update my email address
  * Fix FTBFS with fftw3. Thanks to Bas Couwenberg (Closes: #1025316)
  * Prefer libjack-dev over libjack-jackd2-dev
  * Update rosegarden.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Fri, 02 Dec 2022 23:35:02 +0100
