=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: rosegarden
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Stuart Prescott <stuart@debian.org>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dssi-dev (>= 0.4),
- fftw3-dev,
+ libfftw3-dev,
  ladspa-sdk,
  libasound2-dev (>= 1.0.0),
- libjack-jackd2-dev | libjack-dev,
- liblircclient-dev,
+ libjack-dev | libjack-jackd2-dev,
+ liblirc-dev,
  liblo-dev,
  liblrdf0-dev,
  libsamplerate-dev,
@@ -28,7 +29,7 @@
  qttools5-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
