=== debian/watch ===
version=4

https://sf.net/rosegarden/rosegarden-(2.+)\.tar\.bz2
