## rosegarden 24.06

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "22.12.1")
-set(ROSEGARDEN_CODENAME "Enchantress")
-#set(ROSEGARDEN_CODENAME "Flutterbye")
-#set(ROSEGARDEN_CODENAME "Grace Note")
-#set(ROSEGARDEN_CODENAME "Hermosa")
+set(ROSEGARDEN_VERSION "24.06")
+set(ROSEGARDEN_CODENAME "Hermosa")
 #set(ROSEGARDEN_CODENAME "Incredible")
 #set(ROSEGARDEN_CODENAME "Joyfulness")
 #set(ROSEGARDEN_CODENAME "Keepsake")
@@ -193,6 +190,25 @@
 endif()
 add_feature_info(LIRCCLIENT LIRCCLIENT_FOUND "The LIRC client library, for remote control support")
 
+# lilv for lv2 plugins
+find_path(LILV_INCLUDE_DIR lilv/lilv.h
+  PATH /usr/include/lilv-0)
+if(NOT LILV_INCLUDE_DIR)
+  message(WARNING "Failed to find Lilv header lilv/lilv.h for lv2 plugins")
+endif()
+find_library(LILV_LIBRARY lilv-0)
+if(NOT LILV_LIBRARY)
+  message(WARNING "Failed to find Lilv library for lv2 plugins")
+endif()
+find_path(LV2_INCLUDE_DIR lv2/urid/urid.h)
+if(NOT LV2_INCLUDE_DIR)
+  message(WARNING "Failed to find LV2 header for lv2 plugins")
+endif()
+if(LILV_INCLUDE_DIR AND LILV_LIBRARY AND LV2_INCLUDE_DIR)
+  set(LILV_FOUND TRUE)
+endif()
+add_feature_info(LILV LILV_FOUND "The Lilv library, for lv2 plugins")
+
 # --------------------------------------------------------
 
 # Print out a summary of what was found and what is missing
@@ -220,7 +236,7 @@
 # dummy_file will never exist so "make cppcheck" always runs cppcheck
 
 add_custom_command(OUTPUT ${CPPCHECK_OUTPUT} dummy_file
-  COMMAND cppcheck cppcheck --enable=all --inconclusive --std=c++11 --inline-suppr --quiet ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
+  COMMAND cppcheck -I${CMAKE_CURRENT_SOURCE_DIR}/src --force --enable=all --inconclusive --std=c++11 --inline-suppr --quiet --suppress=missingInclude ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
 
 add_custom_target(cppcheck DEPENDS ${CPPCHECK_OUTPUT} dummy_file)
 #########################
