=== src/CMakeLists.txt ===
--- 
+++ 
@@ -43,10 +43,24 @@
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LIRCCLIENT_LIBRARY})
 endif()
 
+if(LILV_FOUND)
+    include_directories(${LILV_INCLUDE_DIR})
+    add_definitions(-DHAVE_LILV)
+    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LILV_LIBRARY})
+endif()
+
 if(ALSA_FOUND)
     include_directories(${ALSA_INCLUDE_DIR})
     add_definitions(-DHAVE_ALSA)
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${ALSA_LIBRARIES})
+endif()
+
+find_package(GTK2)
+if(GTK2_FOUND)
+    include_directories(${GTK2_INCLUDE_DIRS})
+    link_directories(${GTK2_LIBRARY_DIRS})
+    add_definitions(-DHAVE_GTK2)
+    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${GTK2_LIBRARIES})
 endif()
 
 set(rg_CPPS
@@ -98,6 +112,9 @@
   gui/dialogs/MakeOrnamentDialog.cpp
   gui/dialogs/ClefDialog.cpp
   gui/dialogs/AudioPluginDialog.cpp
+  gui/dialogs/AudioPluginParameterDialog.cpp
+  gui/dialogs/AudioPluginPresetDialog.cpp
+  gui/dialogs/AudioPluginConnectionDialog.cpp
   gui/dialogs/ExportDeviceDialog.cpp
   gui/dialogs/DialogSuppressor.cpp
   gui/dialogs/CountdownDialog.cpp
@@ -304,15 +321,3 @@
   gui/editors/segment/compositionview/AudioPeaksGenerator.cpp
   gui/editors/segment/compositionview/SegmentMover.cpp
   gui/editors/segment/compositionview/SegmentJoiner.cpp
-  gui/editors/segment/PlayList.cpp
-  gui/editors/segment/PlayListViewItem.cpp
-  gui/editors/segment/MarkerEditor.cpp
-  gui/editors/segment/TrackEditor.cpp
-  gui/configuration/ColourConfigurationPage.cpp
-  gui/configuration/MatrixConfigurationPage.cpp
-  gui/configuration/MIDIConfigurationPage.cpp
-  gui/configuration/DocumentMetaConfigurationPage.cpp
-  gui/configuration/TabbedConfigurationPage.cpp
-  gui/configuration/NotationConfigurationPage.cpp
-  gui/configuration/AudioConfigurationPage.cpp
-  gui/configuration/AudioPropertiesPage.cpp
