=== debian/changelog ===
rosegarden (1:24.06-1) unstable; urgency=medium

  * New upstream version 24.06
  * Bump Standards-Version to 4.7.0
  * pkg-config -> pkgconf
  * Build with Qt6

 -- Dennis Braun <snd@debian.org>  Sat, 15 Jun 2024 21:18:59 +0200

rosegarden (1:23.12-1) unstable; urgency=medium

  * Team upload

  [ Shriram Ravindranathan ]
  * New upstream version 23.12
  * Fix watchfile (new upstream releases use xz instead of bz2)
  * d/rosegarden.lintian-overrides: Remove unused overrides
  * d/copyright: update maintainer copyright to 2024
  * d/gbp.conf: change compression from bzip2 to xz

 -- Dennis Braun <snd@debian.org>  Tue, 12 Mar 2024 19:43:35 +0100
