=== debian/changelog ===
rosegarden (1:24.12-1) unstable; urgency=medium

  * New upstream version 24.12
  * Drop spelling error patch applied by upstream

 -- Dennis Braun <snd@debian.org>  Tue, 31 Dec 2024 15:19:08 +0100
